std::_List_node_base(3)

NAME
std::_List_node_base -

SYNOPSIS

Inherited by _List_node.

Detailed Description

Definition at line 74 of file stl_list.h.

  Public Member Functions
void hook (_List_node_base *const __position)
void reverse ()
void transfer (_List_node_base *const __first, _List_node_base *const __last)
void unhook ()

  Static Public Member Functions
static void swap (_List_node_base &__x, _List_node_base &__y)

  Public Attributes
_List_node_base * _M_next
_List_node_base * _M_prev

Member Data Documentation

  _List_node_base* _M_next

Self-explanatory.

Definition at line 76 of file stl_list.h.

Referenced by _List_base::_M_clear(), and list::erase().

  _List_node_base* _M_prev

Self-explanatory.

Definition at line 77 of file stl_list.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.